GET

Get Apps

Deprecated

This version is deprecated and will be removed in February 2021.

Find the latest version this API here.

Use this API to return a list of all Apps in a OneLogin account.

This call returns up to 50 apps per page. For details about using the pagination element to easily “page” through apps, see Pagination.

Resource URL

Before calling this API, consider using its version /2 equivalent.

https://<subdomain>.onelogin.com/api/1/apps

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Read All, or Manage All.

Sample Responses

{
    "status": {
        "error": false,
        "code": 200,
        "type": "success",
        "message": "Success"
    },
    "pagination": {
        "before_cursor": null,
        "after_cursor": "aWQ6Ojo4NjU3ODMtLSMjaWQ6Ojo4NjU3ODM",
        "previous_link": null,
        "next_link": "https://subdomain.onelogin.com/api/1/apps?after_cursor=aWQ6Ojo4NjU3ODMtLSMjaWQ6Ojo4NjU3ODM"
    },
    "data": [
        {
            "id": 32491897,
            "connector_id": 176,
            "name": "Dropbox",
            "extension": true,
            "icon": "https://s3.amazonaws.com/onelogin-assets/images/icons/dropbox.png",
            "visible": true,
            "provisioning": true
        },
        {
            "id": 12380689,
            "connector_id": 7164,
            "name": "Office 365",
            "extension": true,
            "icon": "https://s3.amazonaws.com/onelogin-assets/images/icons/office_365.png",
            "visible": true,
            "provisioning": false
        },
        {
            "id": 21307882,
            "connector_id": 30319,
            "name": "Amazon Web Services (AWS)",
            "extension": false,
            "icon": "https://s3.amazonaws.com/onelogin-assets/images/icons/amazonwebservices2.png",
            "visible": true,
            "provisioning": false
        }
        ...
    ]
}

Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.

{
   "status":{
      "error":true,
      "code":400,
      "type":"bad request",
      "message":"Authorization Information is incorrect"
   }
}

Typically, this error means that your access token value is invalid.

{
   "status":{
      "error":true,
      "code":401,
      "type":"Unauthorized",
      "message":"Authentication Failure"
   }
}

Or you’re not using a Read All or Manage All level API credential

{
    "status": {
        "error": true,
        "code": 401,
        "type": "Unauthorized",
        "message": "Insufficient Permission"
    }
}

Response Elements

For more information about the pagination element, see Query Parameters.

idApps unique ID in OneLogin.
connector_idID of the apps underlying connector.
nameApp name.
extensionTrue indicates the authentication type for the app is forms based.
iconA link to the apps icon url.
visibleIndicates if the app is visible in the OneLogin portal.
provisioningIndicates if the App has provisioning enabled or not.

Postman Collection

Run In Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Get Users

curl 'https://<subdomain>.onelogin.com/api/1/apps' \
-X GET \
-H "Authorization: bearer <access_token>"